<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__hal__impl__dma" kind="group">
    <compoundname>group_hal_impl_dma</compoundname>
    <title>DMA (Direct Memory Access)</title>
    <innergroup refid="group__group__hal__impl__dma__dmac">DMAC (Direct Memory Access Controller)</innergroup>
    <innergroup refid="group__group__hal__impl__dma__dw">DW (Datawire)</innergroup>
      <sectiondef kind="define">
      <memberdef id="group__group__hal__impl__dma_1ga81946da56dd6ba8afd28f6056b1d779a" kind="define" prot="public" static="no">
        <name>CYHAL_DMA_PRIORITY_DEFAULT</name>
        <initializer><ref kindref="member" refid="group__group__hal__impl__dma_1ga30998fd4febd3080e00922f969b08712">CYHAL_DMA_PRIORITY_LOW</ref></initializer>
        <briefdescription>
<para>Default DMA channel priority. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_dma_impl.h" bodystart="52" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_dma_impl.h" line="52" />
      </memberdef>
      <memberdef id="group__group__hal__impl__dma_1gaca50872208f80fb4625591afbaf79d70" kind="define" prot="public" static="no">
        <name>CYHAL_DMA_PRIORITY_HIGH</name>
        <initializer>0</initializer>
        <briefdescription>
<para>High DMA channel priority. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_dma_impl.h" bodystart="54" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_dma_impl.h" line="54" />
      </memberdef>
      <memberdef id="group__group__hal__impl__dma_1ga0b9bf793bb1892836a901599c26fd698" kind="define" prot="public" static="no">
        <name>CYHAL_DMA_PRIORITY_MEDIUM</name>
        <initializer>1</initializer>
        <briefdescription>
<para>Medium DMA channel priority. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_dma_impl.h" bodystart="56" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_dma_impl.h" line="56" />
      </memberdef>
      <memberdef id="group__group__hal__impl__dma_1ga30998fd4febd3080e00922f969b08712" kind="define" prot="public" static="no">
        <name>CYHAL_DMA_PRIORITY_LOW</name>
        <initializer>3</initializer>
        <briefdescription>
<para>Low DMA channel priority. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_dma_impl.h" bodystart="58" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_dma_impl.h" line="58" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>DW (DataWire) is one of two DMA hardware implementations for PSOC6. </para>    </briefdescription>
    <detaileddescription>
<para>DW is designed for low latency memory to peripheral or peripheral to memory transfers but can also perform memory to memory transfers and peripheral to peripheral transfers.</para><para>DMAC (Direct Memory Access Controller) is the second of two DMA hardware implementations for PSOC6. DMAC is designed with high memory bandwidth for large memory to memory transfers but can perform peripheral to memory, memory to peripheral, and peripheral to peripheral transfers.</para><para>Which DMA type is used is dependent on the exact hardware and number of DMA channels already in use. This implementation will attempt to use DMAC first for memory to memory transfers and Datawire otherwise but either type may be used. </para>    </detaileddescription>
  </compounddef>
</doxygen>